NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Drawings::AssociativeAngleBuilder Class Reference

This builder allows the user to create an associative or non-associative angle by measuring between a combination of two objects or vectors evaluated on a specified plane, or by an expression
Created in NX11.0.0. More...

Inheritance diagram for NXOpen::Drawings::AssociativeAngleBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  EvaluationPlaneType { EvaluationPlaneTypeDrawingSheet, EvaluationPlaneTypeTrueAngle, EvaluationPlaneTypeSpecifyPlane }
 evaluation plane types More...
 
enum  ObjectType { ObjectTypeObject, ObjectTypeVector }
 Represents the object type. More...
 

Public Member Functions

void AlternateAngle ()
 The alternate angle
Created in NX11.0.0. More...
 
NXOpen::ExpressionAngle ()
 Returns the angle
Created in NX11.0.0. More...
 
double AngleValue ()
 Returns the angle value
Created in NX11.0.0. More...
 
bool Associative ()
 Returns the associative flag
Created in NX11.0.0. More...
 
void CreateScalarObject ()
 Creates a scalar object for an associative angle
Created in NX11.0.0. More...
 
void CreateScalarObjectFromData (NXOpen::Scalar *scalarTag, double angleValue)
 Creates scalar object for an associative angle using data from existing scalar object or angle value. More...
 
NXOpen::Drawings::AssociativeAngleBuilder::EvaluationPlaneType EvaluationPlane ()
 Returns the evaluation plane type
Created in NX11.0.0. More...
 
NXOpen::ViewFirstMapView ()
 Returns the first map view
Created in NX11.0.0. More...
 
NXOpen::SelectNXObjectFirstObject ()
 Returns the first object
Created in NX11.0.0. More...
 
NXOpen::Drawings::AssociativeAngleBuilder::ObjectType FirstObjectType ()
 Returns the first object type
Created in NX11.0.0. More...
 
NXOpen::DirectionFirstVector ()
 Returns the first vector
Created in NX11.0.0. More...
 
NXOpen::PlanePlane ()
 Returns the plane
Created in NX11.0.0. More...
 
NXOpen::ScalarScalarObject ()
 Returns the scalar object
Created in NX11.0.0. More...
 
NXOpen::ViewSecondMapView ()
 Returns the second map view
Created in NX11.0.0. More...
 
NXOpen::SelectNXObjectSecondObject ()
 Returns the second object
Created in NX11.0.0. More...
 
NXOpen::Drawings::AssociativeAngleBuilder::ObjectType SecondObjectType ()
 Returns the second object type
Created in NX11.0.0. More...
 
NXOpen::DirectionSecondVector ()
 Returns the second vector
Created in NX11.0.0. More...
 
void SetAngleValue (double angleValue)
 Sets the angle value
Created in NX11.0.0. More...
 
void SetAssociative (bool associative)
 Sets the associative flag
Created in NX11.0.0. More...
 
void SetEvaluationPlane (NXOpen::Drawings::AssociativeAngleBuilder::EvaluationPlaneType evaluationPlane)
 Sets the evaluation plane type
Created in NX11.0.0. More...
 
void SetFirstMapView (NXOpen::View *firstMapView)
 Sets the first map view
Created in NX11.0.0. More...
 
void SetFirstObjectType (NXOpen::Drawings::AssociativeAngleBuilder::ObjectType objtype)
 Sets the first object type
Created in NX11.0.0. More...
 
void SetFirstVector (NXOpen::Direction *firstVector)
 Sets the first vector
Created in NX11.0.0. More...
 
void SetIsMeasure (bool isMeasure)
 Sets IsMeasure flag indicating angle is result of a measure
Created in NX11.0.0. More...
 
void SetPlane (NXOpen::Plane *plane)
 Sets the plane
Created in NX11.0.0. More...
 
void SetScalarObject (NXOpen::Scalar *scalarObject)
 Sets the scalar object
Created in NX11.0.0. More...
 
void SetSecondMapView (NXOpen::View *secondMapView)
 Sets the second map view
Created in NX11.0.0. More...
 
void SetSecondObjectType (NXOpen::Drawings::AssociativeAngleBuilder::ObjectType objtype)
 Sets the second object type
Created in NX11.0.0. More...
 
void SetSecondVector (NXOpen::Direction *secondVector)
 Sets the second vector
Created in NX11.0.0. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

This builder allows the user to create an associative or non-associative angle by measuring between a combination of two objects or vectors evaluated on a specified plane, or by an expression
Created in NX11.0.0.


Member Enumeration Documentation

evaluation plane types

Enumerator
EvaluationPlaneTypeDrawingSheet 

drawing sheet

EvaluationPlaneTypeTrueAngle 

true angle

EvaluationPlaneTypeSpecifyPlane 

specify plane

Represents the object type.

Enumerator
ObjectTypeObject 

indicates the selected type is an object

ObjectTypeVector 

indicates the selected type is a vector

Member Function Documentation

void NXOpen::Drawings::AssociativeAngleBuilder::AlternateAngle ( )

The alternate angle
Created in NX11.0.0.



License requirements : drafting ("DRAFTING")

NXOpen::Expression* NXOpen::Drawings::AssociativeAngleBuilder::Angle ( )

Returns the angle
Created in NX11.0.0.



License requirements : None

double NXOpen::Drawings::AssociativeAngleBuilder::AngleValue ( )

Returns the angle value
Created in NX11.0.0.



License requirements : None

bool NXOpen::Drawings::AssociativeAngleBuilder::Associative ( )

Returns the associative flag
Created in NX11.0.0.



License requirements : None

void NXOpen::Drawings::AssociativeAngleBuilder::CreateScalarObject ( )

Creates a scalar object for an associative angle
Created in NX11.0.0.



License requirements : drafting ("DRAFTING")

void NXOpen::Drawings::AssociativeAngleBuilder::CreateScalarObjectFromData ( NXOpen::Scalar scalarTag,
double  angleValue 
)

Creates scalar object for an associative angle using data from existing scalar object or angle value.


Created in NX11.0.2.

License requirements : drafting ("DRAFTING")

Parameters
scalarTagscalartag
angleValueanglevalue
NXOpen::Drawings::AssociativeAngleBuilder::EvaluationPlaneType NXOpen::Drawings::AssociativeAngleBuilder::EvaluationPlane ( )

Returns the evaluation plane type
Created in NX11.0.0.



License requirements : None

NXOpen::View* NXOpen::Drawings::AssociativeAngleBuilder::FirstMapView ( )

Returns the first map view
Created in NX11.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Drawings::AssociativeAngleBuilder::FirstObject ( )

Returns the first object
Created in NX11.0.0.



License requirements : None

NXOpen::Drawings::AssociativeAngleBuilder::ObjectType NXOpen::Drawings::AssociativeAngleBuilder::FirstObjectType ( )

Returns the first object type
Created in NX11.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Drawings::AssociativeAngleBuilder::FirstVector ( )

Returns the first vector
Created in NX11.0.0.



License requirements : None

NXOpen::Plane* NXOpen::Drawings::AssociativeAngleBuilder::Plane ( )

Returns the plane
Created in NX11.0.0.



License requirements : None

NXOpen::Scalar* NXOpen::Drawings::AssociativeAngleBuilder::ScalarObject ( )

Returns the scalar object
Created in NX11.0.0.



License requirements : None

NXOpen::View* NXOpen::Drawings::AssociativeAngleBuilder::SecondMapView ( )

Returns the second map view
Created in NX11.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Drawings::AssociativeAngleBuilder::SecondObject ( )

Returns the second object
Created in NX11.0.0.



License requirements : None

NXOpen::Drawings::AssociativeAngleBuilder::ObjectType NXOpen::Drawings::AssociativeAngleBuilder::SecondObjectType ( )

Returns the second object type
Created in NX11.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Drawings::AssociativeAngleBuilder::SecondVector ( )

Returns the second vector
Created in NX11.0.0.



License requirements : None

void NXOpen::Drawings::AssociativeAngleBuilder::SetAngleValue ( double  angleValue)

Sets the angle value
Created in NX11.0.0.



License requirements : drafting ("DRAFTING")

Parameters
angleValueanglevalue
void NXOpen::Drawings::AssociativeAngleBuilder::SetAssociative ( bool  associative)

Sets the associative flag
Created in NX11.0.0.



License requirements : drafting ("DRAFTING")

Parameters
associativeassociative
void NXOpen::Drawings::AssociativeAngleBuilder::SetEvaluationPlane ( NXOpen::Drawings::AssociativeAngleBuilder::EvaluationPlaneType  evaluationPlane)

Sets the evaluation plane type
Created in NX11.0.0.



License requirements : drafting ("DRAFTING")

Parameters
evaluationPlaneevaluationplane
void NXOpen::Drawings::AssociativeAngleBuilder::SetFirstMapView ( NXOpen::View firstMapView)

Sets the first map view
Created in NX11.0.0.



License requirements : drafting ("DRAFTING")

Parameters
firstMapViewfirstmapview
void NXOpen::Drawings::AssociativeAngleBuilder::SetFirstObjectType ( NXOpen::Drawings::AssociativeAngleBuilder::ObjectType  objtype)

Sets the first object type
Created in NX11.0.0.



License requirements : drafting ("DRAFTING")

Parameters
objtypeobjtype
void NXOpen::Drawings::AssociativeAngleBuilder::SetFirstVector ( NXOpen::Direction firstVector)

Sets the first vector
Created in NX11.0.0.



License requirements : drafting ("DRAFTING")

Parameters
firstVectorfirstvector
void NXOpen::Drawings::AssociativeAngleBuilder::SetIsMeasure ( bool  isMeasure)

Sets IsMeasure flag indicating angle is result of a measure
Created in NX11.0.0.



License requirements : drafting ("DRAFTING")

Parameters
isMeasureismeasure
void NXOpen::Drawings::AssociativeAngleBuilder::SetPlane ( NXOpen::Plane plane)

Sets the plane
Created in NX11.0.0.



License requirements : drafting ("DRAFTING")

Parameters
planeplane
void NXOpen::Drawings::AssociativeAngleBuilder::SetScalarObject ( NXOpen::Scalar scalarObject)

Sets the scalar object
Created in NX11.0.0.



License requirements : drafting ("DRAFTING")

Parameters
scalarObjectscalarobject
void NXOpen::Drawings::AssociativeAngleBuilder::SetSecondMapView ( NXOpen::View secondMapView)

Sets the second map view
Created in NX11.0.0.



License requirements : drafting ("DRAFTING")

Parameters
secondMapViewsecondmapview
void NXOpen::Drawings::AssociativeAngleBuilder::SetSecondObjectType ( NXOpen::Drawings::AssociativeAngleBuilder::ObjectType  objtype)

Sets the second object type
Created in NX11.0.0.



License requirements : drafting ("DRAFTING")

Parameters
objtypeobjtype
void NXOpen::Drawings::AssociativeAngleBuilder::SetSecondVector ( NXOpen::Direction secondVector)

Sets the second vector
Created in NX11.0.0.



License requirements : drafting ("DRAFTING")

Parameters
secondVectorsecondvector
virtual bool NXOpen::Drawings::AssociativeAngleBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.